﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
<%@ Import Namespace="HLWebOKBQueryPlugin.Helpers" %>
<%@ Import Namespace="System.Reflection"  %>

<div id="RunDetailProperties">
<table><tr><td>
    <table>
        <thead>
            <tr><th colspan="3">Result</th></tr>
        </thead>
        <tbody>
            <% IResult result = (RunCollectionData)Session["QueryRunDetail"];
               foreach (PropertyInfo pi in typeof(IResult).GetProperties()) {
                   RouteValueDictionary rvd = new RouteValueDictionary();
                   rvd.Add("controller", "Query");
                   rvd.Add("id", pi.Name); %>
            <tr>
                <td style="width: 5%;"><%= Ajax.ActionLink("detail", "DetailValue", rvd, new AjaxOptions { UpdateTargetId = "ctrlValue" })%></td>
                <td style="width: 45%;"><%= pi.Name %></td>
                <td>
                    <% try { %>
                            <%= pi.GetValue(result, null).ToString()%>
                    <%     } catch (Exception e) { %>
                            &nbsp;
                    <%     } %>
                </td>
            </tr>
            <% } %>
        </tbody>
    </table>

    <table>
        <thead>
            <tr><th colspan="3">Parameter</th></tr>
        </thead>
        <tbody>
            <% IParams parameters = (RunCollectionData)Session["QueryRunDetail"];
               foreach (PropertyInfo pi in typeof(IParams).GetProperties()) {
                   RouteValueDictionary rvd = new RouteValueDictionary();
                   rvd.Add("controller", "Query");
                   rvd.Add("id", pi.Name); %>
            <tr>
                <td style="width: 5%;"><%= Ajax.ActionLink("detail", "DetailValue", rvd, new AjaxOptions { UpdateTargetId = "ctrlValue" })%></td>
                <td style="width: 45%;"><%= pi.Name %></td>
                <td>
                    <% try { %>
                            <%= pi.GetValue(parameters, null).ToString()%>
                    <%     } catch (Exception e) { %>
                            &nbsp;
                    <%     } %>
                </td>
            </tr>
            <% } %>
        </tbody>
    </table>
</td>
<td style="vertical-align: top;">
    <div>
        <div id="ctrlValue"><label>Value:</label><input type="text" value="" /></div>
    </div>
</td></tr></table>
</div>
